# $Revision: 1.20 $, $Date: 2012/03/09 12:15:31 $
# TODO:
# - package? /usr/lib/jvm/java-sun-1.5.0.12/jre/lib/deploy/ffjcext.zip
#
%define		_ver	1.5.0.22
%define		_src_ver	5.0u22
%define		_dir_ver	%(echo %{_ver}|sed 's/\\.\\(..\\)$/_\\1/')
# class data version seen with file(1) that this jvm is able to load
%define		_classdataversion 49.0
%include	/usr/lib/rpm/macros.java
Summary:	Sun JDK (Java Development Kit) for Linux
Summary(pl.UTF-8):	Sun JDK - środowisko programistyczne Javy dla Linuksa
Name:		java5-sun
Version:	%{_ver}
Release:	4
License:	restricted, distributable
Group:		Development/Languages/Java
Source0:	http://download.java.net/dlj/binaries/jdk-%{_src_ver}-dlj-linux-i586.bin
# Source0-md5:	f3afc43863c8f529a81fe42bef912d8c
Source1:	http://download.java.net/dlj/binaries/jdk-%{_src_ver}-dlj-linux-amd64.bin
# Source1-md5:	d70398b2d6c1bd764330b7a3276c1e41
Source2:	Test.java
Patch0:		%{name}-ControlPanel-fix.patch
Patch1:		%{name}-desktop.patch
URL:		https://jdk-distros.dev.java.net/developer.html
BuildRequires:	file
BuildRequires:	rpm-build >= 4.3-0.20040107.21
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	unzip
Requires:	%{name}-jdk-base = %{version}-%{release}
Requires:	%{name}-jre = %{version}-%{release}
Provides:	j2sdk = %{version}
Provides:	jdk = %{version}
Obsoletes:	blackdown-java-sdk
Obsoletes:	ibm-java
Obsoletes:	java-blackdown
Obsoletes:	jdk
Obsoletes:	kaffe
Conflicts:	netscape4-plugin-java-sun
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		javareldir	%{name}-%{version}
%define		javadir		%{_jvmdir}/%{javareldir}
%define		jrereldir	%{javareldir}/jre
%define		jredir		%{_jvmdir}/%{jrereldir}
%define		jvmjardir	%{_jvmjardir}/%{name}-%{version}

# rpm doesn't like strange version definitions provided by Sun's libs
%define		_noautoprov	'\\.\\./.*' '/export/.*'
# these with SUNWprivate.* are found as required, but not provided
%define		_noautoreq	'libjava.so(SUNWprivate_1.1)' 'libnet.so(SUNWprivate_1.1)' 'libverify.so(SUNWprivate_1.1)' 'libjava_crw_demo_g\.so.*' 'libmawt.so' 'java(ClassDataVersion)'
# don't depend on other JRE/JDK installed on build host
%define		_noautoreqdep	libjava.so libjvm.so

%description
This package symlinks Java SUN development tools provided by
java5-sun-jdk-base to system-wide directories like /usr/bin, making
Java SUN default JDK.

%description -l pl.UTF-8
Ten pakiet tworzy symboliczne dowiązania do narzędzi programistycznych
uruchomieniowego Java SUN, dostarczanych przez pakiet
java5-sun-jdk-base, w standardowych systemowych ścieżkach takich jak
/usr/bin, sprawiając tym samym, że Java SUN staje się domyślnym JDK w
systemie.

%package appletviewer
Summary:	Java applet viewer from Sun Java
Summary(pl.UTF-8):	Przeglądarka appletów Javy Suna
Group:		Development/Languages/Java
Requires:	%{name}-jdk-base = %{version}-%{release}

%description appletviewer
This package applet viewer for Sun Java.

%description appletviewer -l pl.UTF-8
Ten pakiet zawiera przeglądarkę appletów dla Javy Suna.

%package jdk-base
Summary:	Sun JDK (Java Development Kit) for Linux
Summary(pl.UTF-8):	Sun JDK - środowisko programistyczne Javy dla Linuksa
Group:		Development/Languages/Java
Requires:	jpackage-utils >= 0:1.6.6-14
Provides:	jdk(%{name})

%description jdk-base
Java Development Kit for Linux.

%description jdk-base -l pl.UTF-8
Środowisko programistyczne Javy dla Linuksa.

%package jre-jdbc
Summary:	JDBC files for Sun Java
Summary(pl.UTF-8):	Pliki JDBC dla Javy Suna
Group:		Development/Languages/Java
Requires:	%{name}-jre-base = %{version}-%{release}
Provides:	%{name}-jdbc
Obsoletes:	java-sun-jdbc

%description jre-jdbc
This package contains JDBC files for Sun Java.

%description jre-jdbc -l pl.UTF-8
Ten pakiet zawiera pliki JDBC dla Javy Suna.

%package jre
Summary:	Sun JRE (Java Runtime Environment) for Linux
Summary(pl.UTF-8):	Sun JRE - środowisko uruchomieniowe Javy dla Linuksa
Group:		Development/Languages/Java
Requires:	%{name}-jre-base = %{version}-%{release}
Requires:	%{name}-tools = %{version}-%{release}
Requires:	jpackage-utils
Suggests:	%{name}-jre-X11
Provides:	java
Provides:	java(ClassDataVersion) = %{_classdataversion}
Provides:	java(ClassDataVersion) = %{_classdataversion}
Provides:	java(jaas) = %{version}
Provides:	java(jaf) = 1.1.1
Provides:	java(jaxp) = 1.3
Provides:	java(jaxp_parser_impl)
Provides:	java(jce) = %{version}
Provides:	java(jdbc-stdext) = %{version}
Provides:	java(jdbc-stdext) = 3.0
Provides:	java(jmx) = 1.4
Provides:	java(jndi) = %{version}
Provides:	java(jsse) = %{version}
Provides:	java1.4
Obsoletes:	java-blackdown-jre
Obsoletes:	jre
Obsoletes:	java(jaas)
Obsoletes:	java(jaf)
Obsoletes:	java(jaxp)
Obsoletes:	java(jaxp_parser_impl)
Obsoletes:	java(jce)
Obsoletes:	java(jdbc-stdext)
Obsoletes:	java(jdbc-stdext)
Obsoletes:	java(jmx)
Obsoletes:	java(jndi)
Obsoletes:	java(jsse)

%description jre
This package symlinks Java SUN runtime environment tools provided by
java5-sun-jre-base to system-wide directories like /usr/bin, making
Java SUN default JRE.

%description jre -l pl.UTF-8
Ten pakiet tworzy symboliczne dowiązania do narzędzi środowiska
uruchomieniowego Java SUN, dostarczanych przez pakiet
java5-sun-jre-base, w standardowych systemowych ścieżkach takich jak
/usr/bin, sprawiając tym samym, że Java SUN staje się domyślnym JRE w
systemie.

%package jre-base
Summary:	Sun JRE (Java Runtime Environment) for Linux
Summary(pl.UTF-8):	Sun JRE - środowisko uruchomieniowe Javy dla Linuksa
Group:		Development/Languages/Java
Requires:	jpackage-utils >= 0:1.6.6-14
Provides:	jre(%{name})

%description jre-base
Java Runtime Environment for Linux. Does not contain any X11-related
compontents.

%description jre-base -l pl.UTF-8
Środowisko uruchomieniowe Javy dla Linuksa. Nie zawiera żadnych
elementów związanych ze środowiskiem X11.

%package jre-X11
Summary:	Sun JRE (Java Runtime Environment) for Linux, X11 related parts
Summary(pl.UTF-8):	Sun JRE - środowisko uruchomieniowe Javy dla Linuksa, części korzystające z X11
Group:		Development/Languages/Java
Requires:	%{name}-jre-base = %{version}-%{release}
Requires:	%{name}-jre-base-X11 = %{version}-%{release}
Provides:	jre-X11 = %{version}
%ifarch %{ix86}
Provides:	javaws = %{version}
%endif

%description jre-X11
This package symlinks Java SUN X11 libraries provided by
java5-sun-jre-base-X11 to system-wide directories like /usr/bin,
making Java SUN default JRE-X11.

%description jre-X11 -l pl.UTF-8
Ten pakiet tworzy symboliczne dowiązania do narzędzi X11 Java SUN,
dostarczanych przez pakiet java5-sun-jre-base-X11, w standardowych
systemowych ścieżkach takich jak /usr/bin, sprawiając tym samym, że
Java SUN staje się domyślnym JRE-X11 w systemie.

%package jre-base-X11
Summary:	Sun JRE (Java Runtime Environment) for Linux, X11 related parts
Summary(pl.UTF-8):	Sun JRE - środowisko uruchomieniowe Javy dla Linuksa, części korzystające z X11
Group:		Development/Languages/Java
Requires:	%{name}-jre-base = %{version}-%{release}

%description jre-base-X11
X11-related part of Java Runtime Environment for Linux.

%description jre-base-X11 -l pl.UTF-8
Środowisko uruchomieniowe Javy dla Linuksa, część związana ze
środowiskiem graficznym X11.

%package jre-alsa
Summary:	JRE module for ALSA sound support
Summary(pl.UTF-8):	Moduł JRE do obsługi dźwięku poprzez ALSA
Group:		Development/Languages/Java
Requires:	%{name}-jre-base = %{version}-%{release}
Provides:	%{name}-alsa
Obsoletes:	java-sun-alsa

%description jre-alsa
JRE module for ALSA sound support.

%description jre-alsa -l pl.UTF-8
Moduł JRE do obsługi dźwięku poprzez ALSA.

%package tools
Summary:	Shared Java tools
Summary(pl.UTF-8):	Współdzielone narzędzia Javy
Group:		Development/Languages/Java
Requires:	%{name}-jre-base = %{version}-%{release}
Provides:	jar
Provides:	java-jre-tools
Obsoletes:	fastjar
Obsoletes:	jar
Obsoletes:	java-jre-tools

%description tools
This package contains tools that are common for every Java(TM)
implementation, such as rmic or jar.

%description tools -l pl.UTF-8
Pakiet ten zawiera narzędzia wspólne dla każdej implementacji
Javy(TM), takie jak rmic czy jar.

%package demos
Summary:	JDK demonstration programs
Summary(pl.UTF-8):	Programy demonstracyjne do JDK
Group:		Development/Languages/Java
Requires:	jre

%description demos
JDK demonstration programs.

%description demos -l pl.UTF-8
Programy demonstracyjne do JDK.

%package -n browser-plugin-%{name}
Summary:	Java plugin for WWW browsers
Summary(pl.UTF-8):	Wtyczki Javy do przeglądarek WWW
Group:		Development/Languages/Java
Requires:	%{name}-jre-X11 = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
Provides:	java-sun-mozilla-plugin
Provides:	mozilla-firefox-plugin-java-sun
Provides:	mozilla-plugin-java-sun
Obsoletes:	blackdown-java-sdk-mozilla-plugin
Obsoletes:	java-blackdown-mozilla-plugin
Obsoletes:	java-sun-moz-plugin
Obsoletes:	java-sun-mozilla-plugin
Obsoletes:	jre-mozilla-plugin
Obsoletes:	mozilla-firefox-plugin-gcc2-java-sun
Obsoletes:	mozilla-firefox-plugin-gcc3-java-sun
Obsoletes:	mozilla-firefox-plugin-java-blackdown
Obsoletes:	mozilla-firefox-plugin-java-sun
Obsoletes:	mozilla-plugin-blackdown-java-sdk
Obsoletes:	mozilla-plugin-gcc2-java-sun
Obsoletes:	mozilla-plugin-gcc3-java-sun
Obsoletes:	mozilla-plugin-gcc32-java-sun
Obsoletes:	mozilla-plugin-java-blackdown
Obsoletes:	mozilla-plugin-java-sun

%description -n browser-plugin-%{name}
Java plugin for WWW browsers.

%description -n browser-plugin-%{name} -l pl.UTF-8
Wtyczki z obsługą Javy dla przeglądarek WWW.

%package sources
Summary:	JRE standard library sources
Summary(pl.UTF-8):	Źródła standardowej biblioteki JRE
Group:		Development/Languages/Java
Requires:	%{name}-jre = %{version}-%{release}

%description sources
Sources for the standard Java library.

%description sources -l pl.UTF-8
Źródła standardowej bilioteki Java.

%prep
%setup -q -T -c -n jdk%{_dir_ver}
cd ..
%ifarch %{ix86}
%{__unzip} -q %{SOURCE0} || :
%endif
%ifarch %{x8664}
%{__unzip} -q %{SOURCE1} || :
%endif
cd -
%ifnarch %{x8664}
%patch0 -p1
# patch only copy of the desktop file, leave original unchanged
cp jre/plugin/desktop/sun_java.desktop .
%patch1 -p1
%endif

# unpack packed jar files -- in %%prep as it is done "in place"
for pack in $(find . -name '*.pack'); do
	bin/unpack200 -r $pack ${pack%.pack}.jar
done

cp %{SOURCE2} Test.java

%build
./bin/javac Test.java
classver=$(file Test.class | grep -o 'compiled Java class data, version [0-9.]*' | awk '{print $NF}')
if [ "$classver" != %{_classdataversion} ]; then
	echo "Set %%define _classdataversion to $classver and rerun."
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{jredir},%{javadir},%{jvmjardir},%{_javadir},%{_bindir},%{_includedir}} \
	$RPM_BUILD_ROOT{%{_mandir}/{,ja/}man1,%{_prefix}/src/%{name}-sources} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_browserpluginsdir}}

cp -rf bin sample demo include lib $RPM_BUILD_ROOT%{javadir}
install man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
install man/ja/man1/* $RPM_BUILD_ROOT%{_mandir}/ja/man1

if test -f jre/lib/*/client/Xusage.txt ; then
mv -f jre/lib/*/client/Xusage.txt jre/Xusage.client
fi
if test -f jre/lib/*/server/Xusage.txt ; then
mv -f jre/lib/*/server/Xusage.txt jre/Xusage.server
fi
if test -f jre/lib/*.txt ; then
mv -f jre/lib/*.txt jre
fi
#mv jre/lib/font.properties{,.orig}
#mv jre/lib/font.properties{.Redhat6.1,}

cp -rf jre/{bin,lib} $RPM_BUILD_ROOT%{jredir}

# conflict with heimdal
for i in kinit klist ; do
	ln -sf %{jredir}/bin/$i $RPM_BUILD_ROOT%{_bindir}/j$i
	mv -f $RPM_BUILD_ROOT%{_mandir}/man1/${i}.1 $RPM_BUILD_ROOT%{_mandir}/man1/j${i}.1
	mv -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/${i}.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/j${i}.1
done

for i in ControlPanel java java_vm keytool ktab orbd policytool \
	rmid rmiregistry servertool tnameserv ; do
	ln -sf %{jredir}/bin/$i $RPM_BUILD_ROOT%{_bindir}/$i
done

for i in HtmlConverter appletviewer extcheck idlj jar jarsigner java-rmi.cgi \
         javac javadoc javah javap jconsole jdb jinfo jmap jps \
	 jsadebugd jstack jstat jstatd native2ascii rmic serialver ; do
	ln -sf %{javadir}/bin/$i $RPM_BUILD_ROOT%{_bindir}/$i
done

# make sure all tools are available under $(JDK_HOME)/bin
for i in ControlPanel keytool kinit klist ktab orbd policytool rmid \
		rmiregistry servertool tnameserv ; do
	ln -sf ../jre/bin/$i $RPM_BUILD_ROOT%{javadir}/bin/$i
done

rm -f $RPM_BUILD_ROOT%{javadir}/bin/{java,javaws}
ln -sf %{jredir}/bin/java $RPM_BUILD_ROOT%{javadir}/bin/java
ln -sf %{jredir}/bin/javaws $RPM_BUILD_ROOT%{javadir}/bin/javaws

%ifarch %{ix86}
# copy _all_ plugin files (even those incompatible with PLD) --
# license restriction
cp -R jre/plugin $RPM_BUILD_ROOT%{jredir}

# Install plugin for browsers
# Plugin in regular location simply does not work (is seen by browsers):
ln -sf %{jredir}/plugin/i386/ns7/libjavaplugin_oji.so $RPM_BUILD_ROOT%{_browserpluginsdir}

install *.desktop $RPM_BUILD_ROOT%{_desktopdir}
install jre/plugin/desktop/*.png $RPM_BUILD_ROOT%{_pixmapsdir}
%endif

ln -sf %{jredir}/lib/jsse.jar $RPM_BUILD_ROOT%{jvmjardir}/jsse.jar
ln -sf %{jredir}/lib/jsse.jar $RPM_BUILD_ROOT%{jvmjardir}/jcert.jar
ln -sf %{jredir}/lib/jsse.jar $RPM_BUILD_ROOT%{jvmjardir}/jnet.jar
ln -sf %{jredir}/lib/jce.jar $RPM_BUILD_ROOT%{jvmjardir}/jce.jar
for f in jndi jndi-dns jndi-ldap jndi-cos jndi-rmi jaas jdbc-stdext jdbc-stdext-3.0 \
	sasl jaxp_parser_impl jaxp_transform_impl jaxp jmx xml-commons-apis; do
	ln -sf %{jredir}/lib/rt.jar $RPM_BUILD_ROOT%{jvmjardir}/$f.jar
done

%ifnarch %{x8664}
install -d $RPM_BUILD_ROOT%{jredir}/javaws
cp -a jre/javaws/* $RPM_BUILD_ROOT%{jredir}/javaws
ln -sf %{jredir}/lib/javaws.jar $RPM_BUILD_ROOT%{jvmjardir}/javaws.jar

# leave all locale files unchanged in the original location (license
# restrictions) and only link them at the proper locations
for loc in `ls $RPM_BUILD_ROOT%{jredir}/lib/locale` ; do
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/$loc/LC_MESSAGES
	ln -sf %{jredir}/lib/locale/$loc/LC_MESSAGES/sunw_java_plugin.mo \
		$RPM_BUILD_ROOT%{_datadir}/locale/$loc/LC_MESSAGES
done

# standardize dir names
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{zh,zh_CN}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{zh_HK.BIG5HK,zh_HK}
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/{ko.UTF-8,zh.GBK,zh_TW.BIG5}
%endif

cp -a src.zip $RPM_BUILD_ROOT%{_prefix}/src/%{name}-sources

ln -s %{javareldir} $RPM_BUILD_ROOT%{_jvmdir}/java
ln -s %{javareldir} $RPM_BUILD_ROOT%{_jvmdir}/%{name}
ln -s %{jrereldir} $RPM_BUILD_ROOT%{_jvmdir}/jre
ln -s %{jrereldir} $RPM_BUILD_ROOT%{_jvmdir}/%{name}-jre
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_jvmjardir}/java
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_jvmjardir}/jre

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans jre
if [ -L %{jredir} ]; then
	rm -f %{jredir}
fi
if [ -L %{javadir} ]; then
	rm -f %{javadir}
fi

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc COPYRIGHT LICENSE README.html THIRDPARTYLICENSEREADME.txt
%{_jvmdir}/java
%{_jvmjardir}/java
%attr(755,root,root) %{_bindir}/HtmlConverter
%attr(755,root,root) %{_bindir}/java-rmi.cgi
%attr(755,root,root) %{_bindir}/extcheck
%attr(755,root,root) %{_bindir}/idlj
%attr(755,root,root) %{_bindir}/jarsigner
%attr(755,root,root) %{_bindir}/javac
%attr(755,root,root) %{_bindir}/javadoc
%attr(755,root,root) %{_bindir}/javah
%attr(755,root,root) %{_bindir}/javap
%attr(755,root,root) %{_bindir}/jconsole
%attr(755,root,root) %{_bindir}/jdb
%attr(755,root,root) %{_bindir}/jinfo
%attr(755,root,root) %{_bindir}/jmap
%attr(755,root,root) %{_bindir}/jps
%attr(755,root,root) %{_bindir}/jsadebugd
%attr(755,root,root) %{_bindir}/jstack
%attr(755,root,root) %{_bindir}/jstat
%attr(755,root,root) %{_bindir}/jstatd
%attr(755,root,root) %{_bindir}/native2ascii
%attr(755,root,root) %{_bindir}/serialver
%{_mandir}/man1/apt.1*
%{_mandir}/man1/extcheck.1*
%{_mandir}/man1/idlj.1*
%{_mandir}/man1/jarsigner.1*
%{_mandir}/man1/javac.1*
%{_mandir}/man1/javadoc.1*
%{_mandir}/man1/javah.1*
%{_mandir}/man1/javap.1*
%{_mandir}/man1/jdb.1*
%{_mandir}/man1/jinfo.1*
%{_mandir}/man1/jmap.1*
%{_mandir}/man1/jps.1*
%{_mandir}/man1/jsadebugd.1*
%{_mandir}/man1/jstack.1*
%{_mandir}/man1/jstat.1*
%{_mandir}/man1/jstatd.1*
%{_mandir}/man1/native2ascii.1*
%{_mandir}/man1/serialver.1*
%{_mandir}/man1/jconsole.1*
%lang(ja) %{_mandir}/ja/man1/apt.1*
%lang(ja) %{_mandir}/ja/man1/extcheck.1*
%lang(ja) %{_mandir}/ja/man1/idlj.1*
%lang(ja) %{_mandir}/ja/man1/jarsigner.1*
%lang(ja) %{_mandir}/ja/man1/javac.1*
%lang(ja) %{_mandir}/ja/man1/javadoc.1*
%lang(ja) %{_mandir}/ja/man1/javah.1*
%lang(ja) %{_mandir}/ja/man1/javap.1*
%lang(ja) %{_mandir}/ja/man1/jdb.1*
%lang(ja) %{_mandir}/ja/man1/jinfo.1*
%lang(ja) %{_mandir}/ja/man1/jmap.1*
%lang(ja) %{_mandir}/ja/man1/jps.1*
%lang(ja) %{_mandir}/ja/man1/jsadebugd.1*
%lang(ja) %{_mandir}/ja/man1/jstack.1*
%lang(ja) %{_mandir}/ja/man1/jstat.1*
%lang(ja) %{_mandir}/ja/man1/jstatd.1*
%lang(ja) %{_mandir}/ja/man1/native2ascii.1*
%lang(ja) %{_mandir}/ja/man1/serialver.1*
%lang(ja) %{_mandir}/ja/man1/jconsole.1*

%files jdk-base
%defattr(644,root,root,755)
%{_jvmdir}/%{name}
%ifarch %{ix86}
%attr(755,root,root) %{javadir}/bin/HtmlConverter
%attr(755,root,root) %{javadir}/bin/ControlPanel
%attr(755,root,root) %{javadir}/bin/java-rmi.cgi
%attr(755,root,root) %{javadir}/bin/javaws
%endif
%attr(755,root,root) %{javadir}/bin/apt
%attr(755,root,root) %{javadir}/bin/extcheck
%attr(755,root,root) %{javadir}/bin/idlj
%attr(755,root,root) %{javadir}/bin/jarsigner
%attr(755,root,root) %{javadir}/bin/javac
%attr(755,root,root) %{javadir}/bin/javadoc
%attr(755,root,root) %{javadir}/bin/javah
%attr(755,root,root) %{javadir}/bin/javap
%attr(755,root,root) %{javadir}/bin/jconsole
%attr(755,root,root) %{javadir}/bin/jdb
%attr(755,root,root) %{javadir}/bin/jinfo
%attr(755,root,root) %{javadir}/bin/jmap
%attr(755,root,root) %{javadir}/bin/jps
%attr(755,root,root) %{javadir}/bin/jsadebugd
%attr(755,root,root) %{javadir}/bin/jstack
%attr(755,root,root) %{javadir}/bin/jstat
%attr(755,root,root) %{javadir}/bin/jstatd
%attr(755,root,root) %{javadir}/bin/keytool
%attr(755,root,root) %{javadir}/bin/kinit
%attr(755,root,root) %{javadir}/bin/klist
%attr(755,root,root) %{javadir}/bin/ktab
%attr(755,root,root) %{javadir}/bin/native2ascii
%attr(755,root,root) %{javadir}/bin/orbd
%attr(755,root,root) %{javadir}/bin/policytool
%attr(755,root,root) %{javadir}/bin/rmid
%attr(755,root,root) %{javadir}/bin/rmiregistry
%attr(755,root,root) %{javadir}/bin/serialver
%attr(755,root,root) %{javadir}/bin/servertool
%attr(755,root,root) %{javadir}/bin/tnameserv
%{javadir}/include
%dir %{javadir}/lib
%{javadir}/lib/*.jar
%{javadir}/lib/*.idl

%files appletviewer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/appletviewer
%attr(755,root,root) %{javadir}/bin/appletviewer
%{_mandir}/man1/appletviewer.1*
%lang(ja) %{_mandir}/ja/man1/appletviewer.1*

%files jre-jdbc
%defattr(644,root,root,755)
%ifarch %{ix86}
%attr(755,root,root) %{jredir}/lib/i386/libJdbcOdbc.so
%endif
%ifarch %{x8664}
%attr(755,root,root) %{jredir}/lib/amd64/libJdbcOdbc.so
%endif

%files jre-base
%defattr(644,root,root,755)
%{_jvmdir}/%{name}-jre
%attr(755,root,root) %{jredir}/bin/pack200
%attr(755,root,root) %{jredir}/bin/unpack200
%attr(755,root,root) %{javadir}/bin/pack200
%attr(755,root,root) %{javadir}/bin/unpack200
%dir %{javadir}
%dir %{javadir}/bin
%attr(755,root,root) %{javadir}/bin/java
%dir %{jredir}
%dir %{jredir}/bin
%ifarch %{ix86}
%attr(755,root,root) %{jredir}/bin/java_vm
%endif
%attr(755,root,root) %{jredir}/bin/java
%attr(755,root,root) %{jredir}/bin/keytool
%attr(755,root,root) %{jredir}/bin/kinit
%attr(755,root,root) %{jredir}/bin/klist
%attr(755,root,root) %{jredir}/bin/ktab
%attr(755,root,root) %{jredir}/bin/orbd
%attr(755,root,root) %{jredir}/bin/rmid
%attr(755,root,root) %{jredir}/bin/servertool
%attr(755,root,root) %{jredir}/bin/tnameserv
%dir %{jredir}/lib
%{jredir}/lib/applet
%{jredir}/lib/audio
%{jredir}/lib/cmm
%{jredir}/lib/ext
%ifarch %{ix86}
%dir %{jredir}/lib/i386
%dir %{jredir}/lib/i386/headless
%attr(755,root,root) %{jredir}/lib/i386/client
%attr(755,root,root) %{jredir}/lib/i386/native_threads
%attr(755,root,root) %{jredir}/lib/i386/server
%{jredir}/lib/i386/jvm.cfg
%attr(755,root,root) %{jredir}/lib/i386/lib[acdfhijmnrvz]*.so
%exclude %{jredir}/lib/i386/libjsoundalsa.so
%exclude %{jredir}/lib/i386/libjavaplugin*.so
%endif
%ifarch %{x8664}
%dir %{jredir}/lib/amd64
%dir %{jredir}/lib/amd64/headless
#%attr(755,root,root) %{jredir}/lib/i386/client
%attr(755,root,root) %{jredir}/lib/amd64/native_threads
%attr(755,root,root) %{jredir}/lib/amd64/server
%{jredir}/lib/amd64/jvm.cfg
%attr(755,root,root) %{jredir}/lib/amd64/lib[acdfhijmnrvz]*.so
%exclude %{jredir}/lib/amd64/libjsoundalsa.so
%endif
%{jredir}/lib/im
%{jredir}/lib/images
%dir %{jredir}/lib/security
%{jredir}/lib/security/*.*
%verify(not md5 mtime size) %config(noreplace) %{jredir}/lib/security/cacerts
%{jredir}/lib/zi
%{jredir}/lib/*.jar
%{jredir}/lib/*.properties
%lang(ja) %{jredir}/lib/*.properties.ja
%dir %{jvmjardir}
%{jvmjardir}/jaas.jar
%{jvmjardir}/jce.jar
%{jvmjardir}/jcert.jar
%{jvmjardir}/jdbc-stdext*.jar
%{jvmjardir}/jmx.jar
%{jvmjardir}/jndi*.jar
%{jvmjardir}/jnet.jar
%{jvmjardir}/jsse.jar
%{jvmjardir}/sasl.jar
%{jvmjardir}/jaxp*.jar
%{jvmjardir}/xml-commons*.jar
%{jredir}/lib/classlist
%{jredir}/lib/fontconfig.RedHat.2.1.bfc
%{jredir}/lib/fontconfig.RedHat.2.1.properties.src
%{jredir}/lib/fontconfig.RedHat.3.bfc
%{jredir}/lib/fontconfig.RedHat.3.properties.src
%{jredir}/lib/fontconfig.RedHat.8.0.bfc
%{jredir}/lib/fontconfig.RedHat.8.0.properties.src
%{jredir}/lib/fontconfig.RedHat.9.0.bfc
%{jredir}/lib/fontconfig.RedHat.9.0.properties.src
%{jredir}/lib/fontconfig.RedHat.bfc
%{jredir}/lib/fontconfig.RedHat.properties.src
%{jredir}/lib/fontconfig.SuSE.bfc
%{jredir}/lib/fontconfig.SuSE.properties.src
%{jredir}/lib/fontconfig.Sun.2003.bfc
%{jredir}/lib/fontconfig.Sun.2003.properties.src
%{jredir}/lib/fontconfig.Sun.bfc
%{jredir}/lib/fontconfig.Sun.properties.src
%{jredir}/lib/fontconfig.Turbo.8.0.bfc
%{jredir}/lib/fontconfig.Turbo.8.0.properties.src
%{jredir}/lib/fontconfig.Turbo.bfc
%{jredir}/lib/fontconfig.Turbo.properties.src
%{jredir}/lib/fontconfig.bfc
%{jredir}/lib/fontconfig.properties.src
%ifarch %{ix86}
%attr(755,root,root) %{jredir}/lib/i386/gtkhelper
%attr(755,root,root) %{jredir}/lib/i386/headless/libmawt.so
%attr(755,root,root) %{jredir}/lib/i386/libsaproc.so
%attr(755,root,root) %{jredir}/lib/i386/libunpack.so
%endif
%ifarch %{x8664}
%attr(755,root,root) %{jredir}/lib/amd64/gtkhelper
%attr(755,root,root) %{jredir}/lib/amd64/headless/libmawt.so
%attr(755,root,root) %{jredir}/lib/amd64/libsaproc.so
%attr(755,root,root) %{jredir}/lib/amd64/libunpack.so
%endif
%dir %{jredir}/lib/management
%{jredir}/lib/management/jmxremote.access
%{jredir}/lib/management/jmxremote.password.template
%{jredir}/lib/management/management.properties
%{jredir}/lib/management/snmp.acl.template
%ifarch %{ix86}
%dir %{jredir}/lib/deploy
%{jredir}/lib/deploy/ffjcext.zip
%endif
%dir %{jredir}/lib/servicetag
%{jredir}/lib/servicetag/jdk_header.png


%files jre
%defattr(644,root,root,755)
%doc jre/{CHANGES,COPYRIGHT,LICENSE,README,*.txt}
%doc jre/Welcome.html
%doc jre/Xusage*
%attr(755,root,root) %{_bindir}/java
%attr(755,root,root) %{_bindir}/java_vm
%attr(755,root,root) %{_bindir}/keytool
%attr(755,root,root) %{_bindir}/jkinit
%attr(755,root,root) %{_bindir}/jklist
%attr(755,root,root) %{_bindir}/ktab
%attr(755,root,root) %{_bindir}/orbd
%attr(755,root,root) %{_bindir}/rmid
%attr(755,root,root) %{_bindir}/servertool
%attr(755,root,root) %{_bindir}/tnameserv
%{_jvmdir}/jre
%{_jvmjardir}/jre
%{_mandir}/man1/java.1*
%ifarch %{ix86}
%{_desktopdir}/sun_java.desktop
%{_pixmapsdir}/sun_java.png
%endif
%{_mandir}/man1/javaws.1*
%{_mandir}/man1/jkinit.1*
%{_mandir}/man1/jklist.1*
%{_mandir}/man1/keytool.1*
%{_mandir}/man1/ktab.1*
%{_mandir}/man1/orbd.1*
%{_mandir}/man1/rmid.1*
%{_mandir}/man1/servertool.1*
%{_mandir}/man1/tnameserv.1*
%{_mandir}/man1/*pack200.1*
%lang(ja) %{_mandir}/ja/man1/*pack200.1*
%lang(ja) %{_mandir}/ja/man1/java.1*
%lang(ja) %{_mandir}/ja/man1/jkinit.1*
%lang(ja) %{_mandir}/ja/man1/jklist.1*
%lang(ja) %{_mandir}/ja/man1/keytool.1*
%lang(ja) %{_mandir}/ja/man1/ktab.1*
%lang(ja) %{_mandir}/ja/man1/orbd.1*
%lang(ja) %{_mandir}/ja/man1/rmid.1*
%lang(ja) %{_mandir}/ja/man1/servertool.1*
%lang(ja) %{_mandir}/ja/man1/tnameserv.1*

%files jre-base-X11
%defattr(644,root,root,755)
%ifarch %{ix86}
%attr(755,root,root) %{jredir}/bin/javaws
%attr(755,root,root) %{jredir}/bin/ControlPanel
%endif
%attr(755,root,root) %{jredir}/bin/policytool
%{jredir}/lib/fonts
%{jredir}/lib/oblique-fonts
%ifarch %{ix86}
%dir %{jredir}/lib/i386/xawt
%dir %{jredir}/lib/i386/motif21
%attr(755,root,root) %{jredir}/lib/i386/awt_robot
%attr(755,root,root) %{jredir}/lib/i386/libjavaplugin*.so
%attr(755,root,root) %{jredir}/lib/i386/motif21/libmawt.so
%attr(755,root,root) %{jredir}/lib/i386/xawt/libmawt.so
%endif
%ifarch %{x8664}
%dir %{jredir}/lib/amd64
%dir %{jredir}/lib/amd64/xawt
%dir %{jredir}/lib/amd64/motif21
%attr(755,root,root) %{jredir}/lib/amd64/awt_robot
%endif
%ifarch %{ix86}
%{jvmjardir}/javaws.jar
%dir %{jredir}/lib/javaws
%{jredir}/lib/javaws/Java1.5.ico
%{jredir}/lib/javaws/messages.properties
%{jredir}/lib/javaws/messages_de.properties
%{jredir}/lib/javaws/messages_es.properties
%{jredir}/lib/javaws/messages_fr.properties
%{jredir}/lib/javaws/messages_it.properties
%{jredir}/lib/javaws/messages_ja.properties
%{jredir}/lib/javaws/messages_ko.properties
%{jredir}/lib/javaws/messages_sv.properties
%{jredir}/lib/javaws/messages_zh_CN.properties
%{jredir}/lib/javaws/messages_zh_HK.properties
%{jredir}/lib/javaws/messages_zh_TW.properties
%{jredir}/lib/javaws/miniSplash.jpg
%endif
%ifarch %{x8664}
%attr(755,root,root) %{jredir}/lib/amd64/motif21/libmawt.so
%attr(755,root,root) %{jredir}/lib/amd64/xawt/libmawt.so
%endif
%ifarch %{ix86}
%dir %{jredir}/javaws
%attr(755,root,root) %{jredir}/javaws/javaws
%endif

%files jre-X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ControlPanel
%ifarch %{ix86}
%attr(755,root,root) %{jredir}/bin/java_vm
%endif
%attr(755,root,root) %{_bindir}/policytool
%{_mandir}/man1/policytool.1*
%ifarch %{ix86}
%dir %{jredir}/lib/locale
%lang(de) %{jredir}/lib/locale/de
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/sunw_java_plugin.mo
%lang(es) %{jredir}/lib/locale/es
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/sunw_java_plugin.mo
%lang(fr) %{jredir}/lib/locale/fr
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/sunw_java_plugin.mo
%lang(it) %{jredir}/lib/locale/it
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/sunw_java_plugin.mo
%lang(ja) %{jredir}/lib/locale/ja
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/sunw_java_plugin.mo
%lang(ko) %{jredir}/lib/locale/ko*
%lang(ko) %{_datadir}/locale/ko/LC_MESSAGES/sunw_java_plugin.mo
%lang(sv) %{jredir}/lib/locale/sv
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/sunw_java_plugin.mo
%lang(zh_CN) %{jredir}/lib/locale/zh
%lang(zh_CN) %{jredir}/lib/locale/zh.*
%lang(zh_HK) %{jredir}/lib/locale/zh_HK*
%lang(zh_TW) %{jredir}/lib/locale/zh_TW*
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/sunw_java_plugin.mo
%lang(zh_HK) %{_datadir}/locale/zh_HK/LC_MESSAGES/sunw_java_plugin.mo
%lang(zh_TW) %{_datadir}/locale/zh_TW/LC_MESSAGES/sunw_java_plugin.mo
%endif
%ifarch %{ix86}
%lang(ja) %{_mandir}/ja/man1/javaws.1*
%endif
%lang(ja) %{_mandir}/ja/man1/policytool.1*

%files jre-alsa
%defattr(644,root,root,755)
%ifarch %{ix86}
%attr(755,root,root) %{jredir}/lib/i386/libjsoundalsa.so
%endif
%ifarch %{x8664}
%attr(755,root,root) %{jredir}/lib/amd64/libjsoundalsa.so
%endif

%files demos
%defattr(644,root,root,755)
%dir %{javadir}/demo
%{javadir}/demo/applets
%{javadir}/demo/jfc
%{javadir}/demo/jpda
%dir %{javadir}/demo/jvmti
%dir %{javadir}/demo/jvmti/[!i]*
%dir %{javadir}/demo/jvmti/*/lib
%attr(755,root,root) %{javadir}/demo/jvmti/*/lib/*.so
%{javadir}/demo/jvmti/*/src
%{javadir}/demo/jvmti/*/README*
%{javadir}/demo/jvmti/*/*.jar
%{javadir}/demo/jvmti/index.html
%{javadir}/demo/management
%ifarch %{ix86}
%{javadir}/demo/plugin
%{javadir}/demo/applets.html
%endif
%{javadir}/sample

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jar
%attr(755,root,root) %{_bindir}/rmic
%attr(755,root,root) %{_bindir}/rmiregistry
%attr(755,root,root) %{jredir}/bin/rmiregistry
%attr(755,root,root) %{javadir}/bin/jar
%attr(755,root,root) %{javadir}/bin/rmic
%{_mandir}/man1/jar.1*
%{_mandir}/man1/rmic.1*
%{_mandir}/man1/rmiregistry.1*
%lang(ja) %{_mandir}/ja/man1/jar.1*
%lang(ja) %{_mandir}/ja/man1/rmic.1*
%lang(ja) %{_mandir}/ja/man1/rmiregistry.1*

%ifarch %{ix86}
%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%dir %{jredir}/plugin
%{jredir}/plugin/desktop
%dir %{jredir}/plugin/i386
%dir %{jredir}/plugin/i386/*
%attr(755,root,root) %{jredir}/plugin/i386/*/libjavaplugin_oji.so
%attr(755,root,root) %{_browserpluginsdir}/*.so
%endif

%files sources
%defattr(644,root,root,755)
%dir %{_prefix}/src/%{name}-sources
%{_prefix}/src/%{name}-sources/src.zip

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java5-sun.spec,v $
Revision 1.20  2012/03/09 12:15:31  baggins
- rel 4
- get rid of odbc hacks, libodbc*.so are now in main unixODBC package

Revision 1.19  2012/01/13 21:00:05  arekm
- release 3

Revision 1.18  2010/04/23 23:25:55  pawelz
- dropped jdk-base R: tools to allow parallel installs with other jdks
- rel 2

Revision 1.17  2010/04/23 22:22:21  pawelz
- fixed %files

Revision 1.16  2010/04/18 08:28:59  jajcus
- \%{_jvmdir} symlinks fixed

Revision 1.15  2010/04/18 08:20:18  jajcus
- P: jdk(%{name}) (/usr/lib/jvm/%{name}) and jre(%{name}) (/usr/lib/jvm/%{name}-jre)

Revision 1.14  2010/04/17 14:18:52  jajcus
- do not provide meaningless acronyms – use java(...) instad
- provide only the actually used
- xml-commons-* seem external to the Sun JDK, to not provide xml-commons-apis here

Revision 1.13  2010/04/16 21:57:02  pawelz
- sorted deps

Revision 1.12  2010/04/16 21:56:20  pawelz
- %descriptions from java-sun.spec

Revision 1.11  2010/04/16 21:43:01  pawelz
- up tu 1.5.0.22
- does not build on x86_64 because of some lib/lib64 confusion.

Revision 1.10  2010/04/16 18:31:19  jajcus
- Xusage.txt is not i386-only

Revision 1.9  2010/04/16 13:38:28  jajcus
- Suggest fix, noautoreq java(ClassDataVersion) to break sub-package loops

Revision 1.8  2010/04/16 13:08:02  jajcus
- %{_bindir} files moved from jre-base to jre

Revision 1.7  2010/04/16 12:43:31  jajcus
- cut&paste bug fix

Revision 1.6  2010/04/16 12:37:05  jajcus
- java_vm moved from jre-base-X11 to jre-X11

Revision 1.5  2010/04/16 12:36:23  jajcus
- unpackaged files added to \%files

Revision 1.4  2010/04/16 12:26:35  jajcus
- noautoreq libmawt.so

Revision 1.3  2010/04/16 12:05:52  jajcus
- %{_jvmdir}/jre and %{_jvmjardir}/jre moved from jre-base to jre subpackage

Revision 1.2  2010/04/16 11:47:21  jajcus
- '-base subpackages' changes merged from java-sun.spec

Revision 1.1  2010/04/16 11:14:58  jajcus
- new package, copied from java-sun at java-sun-1_5 branch

Revision 1.152.2.10  2009/06/29 14:16:32  glen
- 1.5.0.19

Revision 1.152.2.9  2009/05/15 16:34:46  pawelz
- DistFiles does not like %(echo ... |sed ...)

Revision 1.152.2.8  2009/05/15 16:18:43  pawelz
- up to 1.5.0.18
- fixed %_src_ver macro
- added jconsole to %files

Revision 1.152.2.7  2007/08/21 06:57:16  glen
- update to 1.5.0.12, avoid executing upstream binaries

Revision 1.152.2.6  2007/04/11 13:49:07  glen
- update to 1.5.0.11

Revision 1.152.2.5  2007/04/09 22:05:18  glen
- fixup jvm exports

Revision 1.152.2.4  2007/04/09 21:55:44  glen
- R: file

Revision 1.152.2.3  2007/04/09 21:54:54  glen
- merge browser plugins v2 from AC-branch

Revision 1.152.2.2  2007/04/04 11:22:17  glen
- not upwards compatible

Revision 1.152.2.1  2007/04/04 11:21:42  glen
- provide java(ClassDataVersion)

Revision 1.152  2006/12/03 22:46:01  mguevara
- 1.5.0.10-1

Revision 1.151  2006/10/30 17:47:25  shadzik
- support mozilla-firefox-bin
- rel 2

Revision 1.150  2006/08/19 11:07:45  qboosh
- proper browser-plugins dependency

Revision 1.149  2006/08/19 08:38:51  gotar
- updated to 1.5.0.08

Revision 1.148  2006/08/16 10:39:29  qboosh
- R: browser-plugins instead of owning dir

Revision 1.147  2006/08/12 20:49:19  spider
- missing dir

Revision 1.146  2006/08/10 10:42:52  qboosh
- added CVE reference to 1.5.0.07 update message

Revision 1.145  2006/08/08 12:21:31  hawk
- eh, relase down to 1

Revision 1.144  2006/08/08 12:20:51  hawk
- updated to 1.5.0.07
[fixes CVE-2006-2426]

Revision 1.143  2006/06/01 15:39:45  arekm
- rel 12

Revision 1.142  2006/05/25 07:34:19  jajcus
- Release: 11
- R: jpackage-utils >= 0:1.6.6-5

Revision 1.141  2006/05/24 19:59:20  jajcus
- R: jpackage-utils

Revision 1.140  2006/05/24 13:22:18  jajcus
- Rel: 10 (AC-branch is a tag again)

Revision 1.139  2006/05/24 12:32:34  jajcus
- jre Provides: xml-commons-api
- Release: 9

Revision 1.138  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.137  2006/05/21 20:24:29  glen
- use rpm-javaprov

Revision 1.136  2006/05/21 15:45:57  qboosh
- X11 deps are autodetected

Revision 1.135  2006/05/21 13:04:16  radek
- release 8: -jre P: jmx

Revision 1.134  2006/05/21 09:50:59  arekm
- add proper th requires (AC-branch exists anyway)

Revision 1.133  2006/05/21 09:44:30  arekm
- rel 7; commented out R: XFree86-libs

Revision 1.132  2006/05/20 19:52:19  jajcus
- Release: 6

Revision 1.131  2006/05/20 17:57:17  jajcus
- switch to jpackage-compatible location. /usr/%{_lib}/java was not a good
  place for one of JVM implementations.
- jpackage-compatible JAR links and names
- /etc/env.d/JAVA_HOME moved to jpackage-utils

Revision 1.130  2006/05/19 13:38:26  jajcus
- Provides: jaxp_parser_impl

Revision 1.129  2006/05/18 22:49:19  qboosh
- no epoch here

Revision 1.128  2006/05/18 22:48:34  qboosh
- more specific zh_* langs
- don't package zh_HK in system locale dir (symlinked to zh_CN in glibc)

Revision 1.127  2006/05/18 11:23:24  jajcus
- Release: 4

Revision 1.126  2006/05/18 09:05:01  jajcus
- Requires for -jre-odbc on %{x8664} fixed

Revision 1.125  2006/05/18 08:41:38  jajcus
- made sure all files required by the license are included in the packages
- some files left at or linked to their usual location under $JAVA_HOME

Revision 1.124  2006/05/17 20:00:47  jajcus
- unpack the packed jars
- THIRDPARTYLICENSEREADME.txt added
- TODO note for checking for license-required files

Revision 1.123  2006/05/17 19:08:19  jajcus
- MD5 sums

Revision 1.122  2006/05/17 18:52:43  jajcus
- URLs to the archives with distributable Java

Revision 1.121  2006/05/17 18:51:45  pluto
- fetch sources.

Revision 1.120  2006/05/17 18:06:22  pluto
- distributable license.

Revision 1.119  2006/05/17 07:30:31  blues
- rel.3 - plugin works, not only shows on plugins list...

Revision 1.118  2006/05/16 15:29:03  hawk
- plugin _must_ be placed in %{jredir}/plugin/i386/ns7/ or browsers
  will not use it at all

Revision 1.117  2006/05/14 18:40:42  blues
- release 2 - browser plugin support

Revision 1.116  2006/05/14 17:26:22  blues
- no package with plugin for netscape4

Revision 1.115  2006/04/17 17:16:37  mmazur
- jre provides j2re

Revision 1.114  2006/02/10 01:18:12  sparky
- restored NoSource

Revision 1.113  2006/02/10 01:12:37  gotar
- don't make everyone fetch all the sources

Revision 1.112  2006/02/09 17:16:18  aredridel
- download URL for 1.5.0.06

Revision 1.111  2005/12/08 22:05:44  glen
- package redhat 9 fontconfig files, if earlier version files were too

Revision 1.110  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.109  2005/12/03 16:16:31  adgor
- 1.5.0.06

Revision 1.108  2005/10/30 15:17:51  adamg
- there's no 1_5_0_05 on planetmirror

Revision 1.107  2005/09/23 08:07:09  pawcioos
- updated to 1.5.0.05

Revision 1.106  2005/09/20 19:30:09  sardzent
- fixed URL to sources send by Michał Sutkowski <michal(at)sutkowski(dot)pl>

Revision 1.105  2005/09/02 18:55:51  qboosh
- pl desc for -sources

Revision 1.104  2005/09/01 09:33:17  pawcioos
- added subpackage sources

Revision 1.103  2005/07/01 10:31:28  pluto
- amd64 build is back/fixed, release 2.

Revision 1.102  2005/06/27 08:53:06  saq
- up to 1.5.0_04

Revision 1.101  2005/06/06 18:39:32  jajcus
- fix: libawt.so is not directly dependant on X11-libs, so moved to the main jre package

Revision 1.100  2005/06/06 18:16:46  jajcus
- package split, so no X11 libs have to be installed when Java is used in a server (servlets, JSP) environment

Revision 1.99  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.98  2005/04/22 17:39:05  pluto
- split sources.

Revision 1.97  2005/04/21 21:07:15  pluto
- mirror for source0.

Revision 1.96  2005/03/21 23:20:39  malekith
- update the amd64 source md5 sum

Revision 1.95  2005/03/15 18:27:29  qboosh
- updated i586 md5 (amd64 needs update)

Revision 1.94  2005/03/12 21:40:29  dzimi
- rel 1
- up to jdk-1.5.0.02

Revision 1.93  2005/03/08 20:49:50  qboosh
- sorted Obsoletes

Revision 1.92  2005/03/08 09:30:31  havner
- obsolete by virtual name, for possibly other packages

Revision 1.91  2005/03/08 09:10:01  qboosh
- Obsoletes for removed package

Revision 1.90  2005/03/08 09:07:15  havner
- again merged jre-tools with tools, splitting them makes artificial
  conflicts with other packages providing java-shared, jar overload
  is tottaly accepted

Revision 1.89  2005/02/24 18:10:28  qboosh
- j2se 1.5 contains jaxp 1.3

Revision 1.88  2005/02/10 14:43:27  blues
- now it has to be ok...

Revision 1.87  2005/02/10 13:39:16  blues
- oops - wrong JAVA_HOME

Revision 1.86  2005/02/10 11:27:34  blues
- set JAVA_HOME

Revision 1.85  2005/02/04 17:32:42  qboosh
- removed obsolete workaround for broken amd64 glibc provides

Revision 1.84  2004/12/25 00:51:22  qboosh
- Obsoletes for old names

Revision 1.83  2004/12/25 00:04:21  qboosh
- x86 fix, cleanup

Revision 1.82  2004/12/23 07:16:02  djrzulf
- build on amd64, fixed some things,

Revision 1.81  2004/12/21 09:37:13  saq
- version 1.5.0.01

Revision 1.80  2004/11/26 20:06:34  havner
- apt man added

Revision 1.79  2004/11/26 19:45:13  havner
- rel 1

Revision 1.78  2004/10/21 20:46:21  pluto
- %%files fixed.

Revision 1.77  2004/10/20 20:33:56  qboosh
- remove two libs with broken deps from demos; .so perms in demos

Revision 1.76  2004/10/19 16:18:40  undefine
- amd64 fixes ;)
- many ifarchs... seems to works, but not tested so many...

Revision 1.75  2004/09/30 18:14:55  arekm
- final 1.5.0

Revision 1.74  2004/09/26 20:49:08  dzimi
- s/snapshots\/index.jsp/download.jsp/g

Revision 1.73  2004/09/26 20:23:42  dzimi
- update to 1.5.0 rc
- rel 0.rc.1

Revision 1.72  2004/09/13 10:33:45  krzak
- rel 4

Revision 1.71  2004/09/13 10:06:18  krzak
- Requires: java-shared moved to main package from jre

Revision 1.70  2004/09/13 09:32:35  krzak
- renamed subpackages jdbc->jre-odbc, alsa->jre-alsa
- additional jre-tools package provides java-jre-tools
- rmiregistry manpages only in JRE package

Revision 1.69  2004/08/26 13:30:27  undefine
- add three missing dirs

Revision 1.68  2004/08/04 08:22:59  qboosh
- up to b60, fixed locale changes, updated files and links, missing dirs

Revision 1.67  2004/07/29 10:42:19  qboosh
- zh_HK file fix

Revision 1.66  2004/07/29 10:41:46  qboosh
- fixed dep in mozilla-plugin-, locale names fixes (need check)

Revision 1.65  2004/07/13 11:19:00  pluto
- %%{_javalibdir} == (rpm) %%{_javadir}.

Revision 1.64  2004/07/13 10:19:31  pluto
- symlink(javaws.jar) fixed.

Revision 1.63  2004/07/13 10:11:36  pluto
- oops, %%find_lang removed.

Revision 1.62  2004/07/13 10:08:47  pluto
- locales tagged.

Revision 1.61  2004/07/11 13:49:07  pluto
- download fixed.

Revision 1.60  2004/07/05 20:46:19  pluto
- updated to 1.5.0-beta3-build57.

Revision 1.59  2004/07/03 23:11:16  havner
- dropped gcc2 version of mozilla plugin

Revision 1.58  2004/07/03 11:52:48  havner
- firefox plugin added

Revision 1.57  2004/06/27 13:33:09  adgor
- Added desktop.patch

Revision 1.56  2004/06/15 20:43:24  djurban
- fixed conflicts+group

Revision 1.55  2004/06/15 20:35:02  djurban
- 1.5.0 beta2
- dropped netscape4 plugin, new fontconfig stuff in hava no idea which config file works ok,
  maybe someone using onet.czat could look at it
- now only thing left is to finish get-java (will do it tommorow)

Revision 1.54  2004/05/21 20:26:23  qboosh
- updated _noauto (needs rpm with new autodep patch for working ELF noauto*)
- strict internal deps

Revision 1.53  2004/03/31 23:42:23  arekm
- updated (noautoreq/noautoprov seems to be broken in rpm anyway)

Revision 1.52  2003/12/14 08:43:53  jajcus
- Version: 1.4.2_03

Revision 1.51  2003/10/22 17:29:48  qboosh
- resolved autodeps error with new rpm (now new rpm is BRed for .* support)
- separated alsa module
- added missing %%{_bindir}/rmiregistry symlink

Revision 1.49  2003/10/13 08:47:07  qboosh
- keep NoSource-md5

Revision 1.48  2003/10/11 20:02:17  averne
- reverted changes, sorry

Revision 1.47  2003/10/11 18:45:51  averne
- removed nosource

Revision 1.46  2003/10/11 18:37:42  averne
- added Source0-md5

Revision 1.45  2003/10/05 15:54:04  arekm
- removed rmiregistry (it's in java-shared), renamed kinit and klist to jkinit and jklist (to avoid conflict with kerberos)

Revision 1.44  2003/09/09 19:40:45  undefine
- change filename

Revision 1.43  2003/09/09 11:40:47  mick3y
- patch was not missing - it was broken

Revision 1.42  2003/09/08 14:33:17  mick3y
- up to date j2sdk
- commented out missing patch

Revision 1.41  2003/08/29 17:55:20  ankry
- ko and ko_KR are the same

Revision 1.40  2003/08/29 17:54:41  ankry
- kill encoding in %%lang

Revision 1.39  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.38  2003/07/07 21:00:55  qboosh
- moved lib*.so Provides to -jre (where these libs exist)
- moved .jar symlinks and Provides to -jre (runtime stuff, not development)
- libstdc++-compat seems no longer needed
- mozilla gcc 2.9x plugin renamed to mozilla-plugin-gcc2-%%{name}
- fixed -tools separation
- added missing k{init,list,tab} manuals
- added patch for broken ControlPanel script

Revision 1.37  2003/07/04 22:43:25  qboosh
- pl for jdbc

Revision 1.36  2003/07/02 12:01:56  pascalek
- upddated to 1.4.2; lot of changes

Revision 1.35  2003/06/23 11:53:02  djrzulf
- updated to 03 by Łukasz Maśko <masko@ipipan.waw.pl>,

Revision 1.34  2003/05/25 05:49:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/05/22 19:36:45  zagrodzki
- added Provides: j2sdk (RH package)
- rel. 2

Revision 1.32  2003/05/08 09:08:50  qboosh
- no sense to call ldconfig in %%post jre

Revision 1.31  2003/04/11 10:12:57  misiek
- working solution

Revision 1.30  2003/04/11 09:46:07  misiek
- mark cacert as config(); not tested

Revision 1.29  2003/03/04 13:18:15  wrobell
- added missing files (/usr/bin/jar is a symlnik to %{javadir}/bin/jar)

Revision 1.28  2003/03/04 11:48:44  qboosh
- noted download URL

Revision 1.27  2003/03/04 09:44:43  wrobell
- ver. 1.4.1_02
- rmid manual is back

Revision 1.26  2003/02/28 10:07:58  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.25  2003/02/25 13:57:19  djurban
- subpackage tools

Revision 1.24  2003/02/24 23:28:21  qboosh
- simplified subpackages names, added Obsoletes: for blackdown

Revision 1.23  2003/01/27 19:01:34  grzegol
- changed prefixes of mozilla and netscape directories to /usr
- rel. 2

Revision 1.22  2002/10/21 20:25:06  qboosh
- updated to 1.4.1_01

Revision 1.21  2002/10/09 11:50:44  wiget
- updated to final 1.4.1

Revision 1.20  2002/09/04 18:24:32  qboosh
- merged standarization from DEVEL - seems successful, tomcat and jedit work
- added %%pre - remove old symlinks before making directories

Revision 1.19  2002/08/25 13:18:51  bonkey
- remove %%{jdkdir} before doing a link avoids making it at the directory
  if earlier version is not uninstalled cleanly (e.g. when there are some
  changes in jre .properties)
- changed default font.properties to font.properties.RedHat.6.1 to avoid
  unnatural big gaps between text lines
- release 0.2

Revision 1.17.2.2  2002/08/24 20:25:15  qboosh
- one more compatibility link (java/bin/java -> java/jre/bin/java) -
  some software expects both $JAVA_HOME/bin/{java,javac}

Revision 1.17.2.1  2002/08/17 16:25:57  qboosh
- some standarization try... please look and check :)

Revision 1.17  2002/06/18 14:29:20  wrobell
- ver. 1.4.0_01

Revision 1.16  2002/06/15 23:49:47  adgor
- jre provides jre = %{version}
- Release 0.5

Revision 1.15  2002/06/15 14:15:23  ankry
- zh, ko %%lang renamed
- release 0.4

Revision 1.14  2002/05/14 09:33:16  saq
- better Mozilla plugins:
- - named mozilla-plugin-*
- - obsolete old name
- - Prereq mozilla-embedded

Revision 1.13  2002/04/25 16:38:57  arturs
fixed a small typo

Revision 1.12  2002/04/21 18:04:14  qboosh
- _noautoreqdep to prevent wrong requires when building with another JRE
- mozilla plugin Requires: mozilla-embeded, not whole mozilla

Revision 1.11  2002/04/02 14:40:06  qboosh
- one dir is sufficient

Revision 1.10  2002/04/01 17:51:46  mmazur
- yeah... fixed my fix

Revision 1.9  2002/03/31 23:59:55  mmazur
- fixed directory permissions... well... "fixed" is an overstatement
just made it work; somebody correct my fix please :)

Revision 1.8  2002/03/12 18:03:23  aflinta
 - added link /usr/lib/java -> /usr/lib/jdk1.4.0
 - release 0.3

Revision 1.7  2002/02/28 22:34:12  aflinta
 - added BuildConflicts: ibm-java
 - release 0.2

Revision 1.6  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/17 14:44:23  aflinta
- added missing catalogs in jre, release 0.1, still needs testing

Revision 1.3  2002/02/16 16:06:39  aflinta
- updated to version 1.4.0, release 0, but needs testing

Revision 1.2  2002/02/15 19:58:31  aflinta
- updates, updates, NFY

Revision 1.1  2002/02/14 19:25:44  aflinta
- prepared for new naming convention
- started update to version 1.4.0

Revision 1.15  2002/02/13 20:01:55  aflinta
- corrected url path

Revision 1.14  2002/02/13 19:56:49  aflinta
- updated to version 1.3.1_02

Revision 1.13  2002/02/11 12:33:01  qboosh
- removed unnecessary #!/bin/sh

Revision 1.12  2002/02/08 22:17:00  filon
- %%post jre -> %%post -n jre
- also moved %%post command to script (not -p, because rpm trats following -n as for package name)
- release 2

Revision 1.11  2002/01/18 02:13:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/04 15:19:43  blues
- added ldconfig call in post

Revision 1.9  2002/01/04 09:28:00  blues
- added obsoletes for kaffe and ibm-java (conflicts)

Revision 1.8  2001/12/21 22:40:40  qboosh
- added mozilla plugin

Revision 1.7  2001/12/19 19:35:17  ankry
- added a Source URL (but don't rely on it)

Revision 1.6  2001/12/16 02:42:25  michuz
- release 2
- symlink /usr/include/jdk -> /usr/lib/jdk%%version/include

Revision 1.5  2001/12/14 13:59:21  qrczak
- Update to 1.3.1_01 (1.3.1 is no longer on http://java.sun.com/linux/).
- Changed the method of unpacking the archive. Still not great.

Revision 1.4  2001/09/15 17:17:56  bonkey
- Group changed to Development/Languages/Java

Revision 1.3  2001/08/23 17:33:34  filon
- moving provides: java, jar to subpackage jre
- addning provides: java1.3 to subpackage jre

Revision 1.2  2001/08/22 17:31:24  filon
- added Provides: java
- added Provides: jar
- commented Requires: jre; jdk includes jre

Revision 1.1  2001/07/05 19:11:05  qboosh
- spec for Sun JDK/JRE
